#ifndef CONFIGURATION_H
#define CONFIGURATION_H

#include <QWidget>
#include <QString>

#include "port_com.h"

namespace Ui {
class Configuration;
}

class Configuration : public QWidget
{
    Q_OBJECT
    
public:
    explicit Configuration(QWidget *parent = 0);
    ~Configuration();
    QString set_partNumber();
    QString set_serialNumber();

signals:
    /*! Signal émit lors d'un changement du nom du port */
    void sig_portName_Changed(QString);
    /*! Signal émit lors d'un changement de la vitesse de communication */
    void sig_baud_Changed(BaudRateType);
    /*! Signal emit lors d'une demande d'ouverture de port */
    void sig_open_Serial(int);

private slots:
    void on_openCom_toggled(bool);
    void on_portName_combo_currentIndexChanged(int index);
    void on_baud_combo_currentIndexChanged(int index);
    void on_partNumber_textChanged(QString text);
    void on_serialNumber_textChanged(QString text);

private:
    Ui::Configuration *ui;
    QString part_Number_;
    QString serial_Number_;
    Port_Com *port_;

};

#endif // CONFIGURATION_H
